Summary:	A GNOME filemanager similar to the Midnight Commander
Summary(pl.UTF-8):	Zarządca plików dla środowiska GNOME w stylu Midnight Commandera
Name:		gnome-commander
Version:	1.4.7
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-commander/1.4/%{name}-%{version}.tar.xz
# Source0-md5:	347337051c10745158200762ae29fa22
Patch0:		%{name}-flags.patch
Patch1:		%{name}-am.patch
Patch2:		%{name}-gsf.patch
URL:		http://www.nongnu.org/gcmd/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	chmlib-devel
BuildRequires:	docbook-dtd412-xml
BuildRequires:	exiv2-devel >= 0.14
BuildRequires:	flex
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.6.0
BuildRequires:	gnome-doc-utils
BuildRequires:	gnome-vfs2-devel >= 2.0.0
BuildRequires:	gtk+2-devel >= 2:2.8.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libgnome-devel >= 2.0.0
BuildRequires:	libgnome-keyring-devel >= 2.22
BuildRequires:	libgnomeui-devel >= 2.4.0
BuildRequires:	libgsf-devel >= 1.12.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libunique-devel >= 0.9.3
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	poppler-devel >= 0.18
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	taglib-devel >= 1.4
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	exiv2 >= 0.14
Requires:	glib2 >= 1:2.6.0
Requires:	gtk+2 >= 2:2.8.0
Requires:	libgnome-keyring >= 2.22
Requires:	libgnomeui >= 2.4.0
Requires:	libgsf >= 1.12.0
Requires:	libunique >= 0.9.3
Requires:	poppler >= 0.18
Requires:	taglib >= 1.4
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# symbol main_win_widget is provided by gnome-commander binary
%define		skip_post_check_so	libgcmd.so.*

%description
GNOME Commander is a filemanager that just like the classical Midnight
commander lets you do everything with the keyboard. It can perform all
standard fileoperations and some extra features like FTP support.

%description -l pl.UTF-8
GNOME Commander to zarządca plików, który podobnie do klasycznego
Midnight Commandera umożliwia pełną obsługę przy pomocy klawiatury.
Zapewnia wykonanie wszystkich typowych operacji na plikach, a także
kilka dodatkowych jak np. klienta FTP.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1

%build
%{__glib_gettextize}
%{__libtoolize}
%{__intltoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-scrollkeeper \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/{plugins/,}*.la

# outdated copy of sr@latin
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/sr@Latn

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/gcmd-block
%attr(755,root,root) %{_bindir}/gnome-commander
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%attr(755,root,root) %{_libdir}/%{name}/lib*.so*
%{_libdir}/%{name}/plugins/*.py*
%attr(755,root,root) %{_libdir}/%{name}/plugins/lib*.so*
%{_datadir}/appdata/gnome-commander.appdata.xml
%{_datadir}/gnome-commander
%{_pixmapsdir}/gnome-commander.png
%{_pixmapsdir}/gnome-commander
%{_desktopdir}/gnome-commander.desktop
%{_mandir}/man1/gnome-commander.1*
%changelog
* Sun Jul 26 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-commander.git;a=log;h=master

* Sun Jul 26 2015 Jakub Bogusz <qboosh@pld-linux.org> 8215de1
- updated to 1.4.7

* Sun May 24 2015 Jakub Bogusz <qboosh@pld-linux.org> b22481d
- just remove sr@Latn, it's outdated version of sr@latin; release 3

* Sun May 24 2015 Jan Rękorajski <baggins@pld-linux.org> 230fe08
- fix Serbian locale
- rel 2

* Sat May 23 2015 Jakub Bogusz <qboosh@pld-linux.org> d5b5594
- updated to 1.4.6

* Sat May 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 03fe4b7
- up to 1.2.8.17
- removed obsolete poppler024,gcc47,format-security,const-cast patches

* Sun Apr 12 2015 Jan Rękorajski <baggins@pld-linux.org> 9084477
- release 13 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> cccfdc5
- updated gettext BR

* Sun Nov 23 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f1e9fe0
- poppler
- release 12 (by relup.sh)

* Thu May 01 2014 Jan Palus <atler@pld-linux.org> 580a56f
- release 11 (by relup.sh)

* Mon Apr 14 2014 Jan Rękorajski <baggins@pld-linux.org> eed938d
- release 10 (by relup.sh)

* Sun Jan 19 2014 Jan Rękorajski <baggins@pld-linux.org> a878430
- release 9 (by relup.sh)

* Wed Oct 09 2013 Jan Rękorajski <baggins@pld-linux.org> 7a78d04
- regenerate config.h.in

* Wed Oct 09 2013 Jan Rękorajski <baggins@pld-linux.org> d5c3e6a
- fix build with new poppler and libgsf (patches from fedora)
- rel 8

* Fri May 17 2013 Kacper Kornet <draenog@pld-linux.org> 94350d8
- release 7 (rebuild with libpoppler.so.37)

* Tue May 14 2013 Jan Rękorajski <baggins@pld-linux.org> a8fe108
- rel 6

* Wed Apr 17 2013 Kacper Kornet <draenog@pld-linux.org> 79ab1b8
- patch for constifying of g_get_prgname in glib2-2.36.0

* Wed Apr 17 2013 Kacper Kornet <draenog@pld-linux.org> 02611ac
- patch for automake-1.13
- rel. 5

* Wed Apr 17 2013 Kacper Kornet <draenog@pld-linux.org> c1dafc8
- release 4 (rebuild with poppler-0.22.3)

* Sun Jan 06 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> dcbf1ae
- release 3 (by relup.sh)

* Tue Nov 20 2012 Jan Rękorajski <baggins@pld-linux.org> f19682d
- fix errors caused by -Wformat-security
- rel 2

